"""Added spin_type constraint

Revision ID: f9e369bf00d
Revises: 1162fb4d4358
Create Date: 2013-08-16 20:14:05.365481

"""

# revision identifiers, used by Alembic.
revision = 'f9e369bf00d'
down_revision = '1162fb4d4358'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import column


def upgrade():
    op.create_check_constraint(
        "ck_spin_type",
        "spin",
        column('spin_type').in_(['TC', 'smoke', 'RC'])
    )


def downgrade():
    op.drop_constraint('ck_spin_type', 'spin')
